> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Memory Store を更新する

> Memory Store の名前、説明、メタデータを更新します。

`POST /api/v1/cloud/memory_stores/{memory_store_id}`

Memory Store を更新します。すべてのフィールドは任意で、省略されたフィールドは保持されます。

## ヘッダー

| ヘッダー            | 必須 | 説明                 |
| --------------- | -- | ------------------ |
| `Authorization` | はい | `Bearer <PAT>`     |
| `Content-Type`  | はい | `application/json` |

## パスパラメータ

| パラメータ             | 説明                     |
| ----------------- | ---------------------- |
| `memory_store_id` | ストア ID（`memstore_...`) |

## リクエストボディ

| フィールド         | 型      | 必須  | 説明                                                          |
| ------------- | ------ | --- | ----------------------------------------------------------- |
| `name`        | string | いいえ | 新しい名前。1〜255 文字、制御文字は不可                                      |
| `description` | string | いいえ | 新しい説明。最大 1024 文字。クリアするには空文字列を渡します                           |
| `metadata`    | object | いいえ | メタデータのパッチ。キーに文字列を設定するとアップサート、`null` を設定すると削除します。省略すると保持されます |

## リクエスト例

```bash theme={null}
curl -X POST "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_019e5cdb9c3f71c3b6505eba937a40b4" \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "project-alpha-memory-v2",
    "metadata": {"team": null, "env": "production"}
  }'
```

## レスポンス

更新された [Memory Store オブジェクト](#memory-store-object)を返します。
